Bug 1828490 - Installing ACM causes two `Subscription` tabs to be displayed on the installed operators page
Summary: Installing ACM causes two `Subscription` tabs to be displayed on the installe...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.5
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 4.5.0
Assignee: Zac Herman
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-27 20:00 UTC by Samuel Padgett
Modified: 2020-07-13 17:32 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-13 17:31:58 UTC
Target Upstream Version:


Attachments (Terms of Use)
Duplicate subscription tabs (234.40 KB, image/png)
2020-04-27 20:00 UTC, Samuel Padgett
no flags Details
Verification screenshot (318.56 KB, image/png)
2020-05-12 08:30 UTC, XiaochuanWang
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 5354 0 None closed Bug 1828490: Add identifier for tab names that are CRD specific 2020-10-01 05:34:35 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:32:11 UTC

Description Samuel Padgett 2020-04-27 20:00:00 UTC
Created attachment 1682263 [details]
Duplicate subscription tabs

See screenshot. ACM provides a `Subscription` CRD in the `apps.open-cluster-management.io/v1` API groups. Since we show both the OLM Subscription object and the provided APIs as tabs on the installed operators page, the same tab shows up twice.

This is expected, but we should see if there's something we can do to disambiguate the names. (Maybe give the CRD tab a special label if we detect a duplicate name?)

Comment 1 Zac Herman 2020-05-08 16:49:11 UTC
PR is open and will merge fix next sprint

Comment 4 XiaochuanWang 2020-05-12 08:30:19 UTC
Created attachment 1687568 [details]
Verification screenshot

Comment 5 XiaochuanWang 2020-05-12 08:31:18 UTC
Refer to the attachment screenshot.
This is verified on 4.5.0-0.nightly-2020-05-12-031058

Comment 6 errata-xmlrpc 2020-07-13 17:31:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.